## pngdec pngdec — Decode a png video frame to a raw image |

## Synopsis

    struct              GstPngDec;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstVideoDecoder
                               +----GstPngDec

## Description

## Synopsis

### Element Information

plugin | png
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Image

### Element Pads

name | sink
direction | sink
presence | always
details | image/png

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBA, RGB, ARGB64, GRAY8, GRAY16_BE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstPngDec

    struct GstPngDec;